﻿using System;
using System.Collections.Generic;
using System.Text;

namespace RecrownedAthenaeum.Tools.CommandProcessor
{
    interface ICommandEngineCommand
    {
        /// <summary>
        /// Runs the command.
        /// </summary>
        /// <param name="arguments">Commands to be used. May be null.</param>
        void Run(string[] arguments);

        /// <summary>
        /// Returns the help for the given argument.
        /// If no argument is given (null), then returns overall help statement.
        /// </summary>
        /// <param name="argument">The argument the help string is for. Can be null for overall command help.</param>
        /// <returns>The text to help understand the argument.</returns>
        string Help(string argument);
    }
}
